#include "riffhead.hh"

/* OPENDML VPRP */

class vprp: public RiffHead
{
public:
    virtual string Read(FILE *fp, unsigned bytes);
};

string vprp::Read(FILE *fp, unsigned bytes)
{
    // wave format
    unsigned formattag = ReadDW(fp);
    unsigned videostd  = ReadDW(fp); 
    unsigned vrefresh  = ReadDW(fp);
    unsigned htotalint = ReadDW(fp);
    unsigned htotalinl = ReadDW(fp);
    unsigned aspect    = ReadDW(fp);
    unsigned wpix      = ReadDW(fp);
    unsigned hline     = ReadDW(fp);
    unsigned nbfield   = ReadDW(fp);

    char Buf[256];
    string result = string(Buf, sprintf(Buf,
        "Format %u, standard %u, %u fps, aspect %u/%u",
        formattag,
        videostd,
        vrefresh,
        aspect>>16,
        aspect&0xFFFF
    ));
    return result;
}

static class vprpadder { public: vprpadder() { RegisterFormat("vprp", new vprp); } } vprpadder;
